Bug 139397 - GFS: assertion: "metatype_check_magic == GFS_MAGIC && metatype_check_type == ((height) ? (5) : (4))"
GFS: assertion: "metatype_check_magic == GFS_MAGIC && metatype_check_type ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Ken Preslan
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 14:59 EST by Kiersten (Kerri) Anderson
Modified: 2010-01-11 22:01 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-18 16:18:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File attachment from Veritas DGC (34.81 KB, application/zip)
2004-11-15 15:00 EST, Kiersten (Kerri) Anderson
no flags Details
More data from Veritas DGC (30.80 KB, application/zip)
2004-11-15 15:01 EST, Kiersten (Kerri) Anderson
no flags Details

  None (edit)
Description Kiersten (Kerri) Anderson 2004-11-15 14:59:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
GFS assertation at Veritas DGC

We have now upgraded to p031 without any problems.

The failing file systems /ts1 and /ts4 have now been fscked and mounted
(see attached outputs).

On Saturday we had another system panic (see message below).

Nov  6 08:21:49 crw115cm kernel: nfs_statfs: statfs error = 116
Nov  6 08:21:49 crw115cm kernel: nfs_statfs: statfs error = 116
Nov  6 08:22:35 crw115cm kernel: Bad metadata at 225115293, should be 4
Nov  6 08:22:35 crw115cm kernel:   mh_magic = 0xBDBDCF3D
Nov  6 08:22:35 crw115cm kernel:   mh_type = 2094184253
Nov  6 08:22:35 crw115cm kernel:   mh_generation = 1062289569800114109
Nov  6 08:22:35 crw115cm kernel:   mh_format = 596774846
Nov  6 08:22:35 crw115cm kernel:   mh_incarn = 1599326397
Nov  6 08:22:35 crw115cm kernel:
Nov  6 08:22:35 crw115cm kernel: GFS:  Assertion failed on line 968 of
file
dio.c
Nov  6 08:22:35 crw115cm kernel: GFS:  assertion: 
"metatype_check_magic ==
GFS_MAGIC && metatype_check_type == ((height) ? (5) : (4))"
Nov  6 08:22:35 crw115cm kernel: GFS:  time = 1099729355459867
Nov  6 08:22:35 crw115cm kernel: GFS:  FS = crw-gfs:ts15
Nov  6 08:22:35 crw115cm kernel:
Nov  8 08:05:29 crw115cm syslogd 1.4.1: restart.
Nov  8 08:05:32 crw115cm /etc/hotplug/usb.rc[713]: loaded HCD: usb-ohci
Nov  8 08:05:34 crw115cm kernel: klogd 1.4.1, log source = /proc/kmsg
started.

Tim



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:
Comment 1 Kiersten (Kerri) Anderson 2004-11-15 15:00:34 EST
Created attachment 106747 [details]
File attachment from Veritas DGC
Comment 2 Kiersten (Kerri) Anderson 2004-11-15 15:01:13 EST
Created attachment 106748 [details]
More data from Veritas DGC
Comment 3 Kiersten (Kerri) Anderson 2005-07-18 16:18:27 EDT
Closing this since we have been able to fix Veritas DGC.  Culprit was most
likely a stack overflow error causing the problems.  Was fixed in U4 version if
I remember correctly.

Note You need to log in before you can comment on or make changes to this bug.